List:Commits« Previous MessageNext Message »
From:Chad MILLER Date:January 31 2007 9:09pm
Subject:bk commit into 5.1 tree (cmiller:1.2370)
View as plain text  
Below is the list of changes that have just been committed into a local
5.1 repository of cmiller. When cmiller does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2007-01-31 16:09:36-05:00, cmiller@stripped +2 -0
  Merge zippy.cornsilk.net:/home/cmiller/work/mysql/bug25341/my50-bug25341
  into  zippy.cornsilk.net:/home/cmiller/work/mysql/bug25341/my51-bug25341
  MERGE: 1.1810.2359.38

  BitKeeper/etc/collapsed@stripped, 2007-01-31 16:09:29-05:00, cmiller@stripped +4 -4
    auto-union
    MERGE: 1.5.1.15

  support-files/mysql.server.sh@stripped, 2007-01-31 16:09:33-05:00, cmiller@stripped +0 -0
    Auto merged
    MERGE: 1.49.1.4

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	cmiller
# Host:	zippy.cornsilk.net
# Root:	/home/cmiller/work/mysql/bug25341/my51-bug25341/RESYNC

--- 1.53/support-files/mysql.server.sh	2007-01-31 16:09:41 -05:00
+++ 1.54/support-files/mysql.server.sh	2007-01-31 16:09:41 -05:00
@@ -143,11 +143,12 @@ parse_manager_arguments() {
 
 wait_for_pid () {
   i=0
-  while test $i -lt 35 ; do
+  while test $i -lt 900 ; do
     sleep 1
     case "$1" in
       'created')
         test -s $pid_file && i='' && break
+        kill -0 $2 || break # if the program goes away, stop waiting
         ;;
       'removed')
         test ! -s $pid_file && i='' && break
@@ -163,8 +164,10 @@ wait_for_pid () {
 
   if test -z "$i" ; then
     log_success_msg
+    return 0
   else
     log_failure_msg
+    return 1
   fi
 }
 
@@ -280,26 +283,28 @@ case "$mode" in
         --mysqld-safe-compatible \
         --user="$user" \
         --pid-file="$pid_file" >/dev/null 2>&1 &
-      wait_for_pid created
+      wait_for_pid created $!; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
       then
         touch /var/lock/subsys/mysqlmanager
       fi
+      exit $return_value
     elif test -x $bindir/mysqld_safe
     then
       # Give extra arguments to mysqld with the my.cnf file. This script
       # may be overwritten at next upgrade.
       pid_file=$server_pid_file
       $bindir/mysqld_safe --datadir=$datadir --pid-file=$server_pid_file $other_args >/dev/null 2>&1 &
-      wait_for_pid created
+      wait_for_pid created $!; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
       then
         touch /var/lock/subsys/mysql
       fi
+      exit $return_value
     else
       log_failure_msg "Couldn't find MySQL manager or server"
     fi
@@ -325,13 +330,14 @@ case "$mode" in
       echo $echo_n "Shutting down MySQL"
       kill $mysqlmanager_pid
       # mysqlmanager should remove the pid_file when it exits, so wait for it.
-      wait_for_pid removed
+      wait_for_pid removed; return_value=$?
 
       # delete lock for RedHat / SuSE
       if test -f $lock_dir
       then
         rm -f $lock_dir
       fi
+      exit $return_value
     else
       log_failure_msg "MySQL manager or server PID file could not be found!"
     fi
@@ -340,8 +346,12 @@ case "$mode" in
   'restart')
     # Stop the service and regardless of whether it was
     # running or not, start it again.
-    $0 stop  $other_args
+    if $0 stop  $other_args; then
     $0 start $other_args
+    else
+      log_failure_msg "Failed to stop running server, so refusing to try to start."
+      exit 1
+    fi
     ;;
 
   'reload')
@@ -360,3 +370,5 @@ case "$mode" in
     exit 1
     ;;
 esac
+
+exit 0

--- 1.24/BitKeeper/etc/collapsed	2007-01-31 16:09:41 -05:00
+++ 1.25/BitKeeper/etc/collapsed	2007-01-31 16:09:41 -05:00
@@ -33,3 +33,9 @@
 4561bde4qWhz1I8tkItXKex5uniipA
 4562ba016dYH0JzszOqZ8p6psbKfnQ
 45771031yRCoM_ZfONdYchPvVEgLRg
+459a60d8rIxeTuhB3j_QsOwLGdcpng
+459a61c9OS8PzIsdviZJDkybJ1y1uA
+459a70691aYIfU2ohV0a3P5iTLpO2A
+459a7422KF_P7PuU3YQ5qG6ZLEVpiA
+459a74e4nRcXppMSBYeQQ5efDkTADg
+45c0fdfb2mz6NdOIsLenJtf6_ZelTA
Thread
bk commit into 5.1 tree (cmiller:1.2370)Chad MILLER31 Jan